/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.label-flux {
  @extend .label;

  &.status-draft {
    @extend .label-default;
    > .fa {
      &:before {
        content: $fa-var-pencil;
      }
    }
  }

  &.status-validation {
    @extend .label-warning;
    > .fa {
      &:before {
        content: $fa-var-clock-o;
      }
    }
  }

  &.status-success {
    @extend .label-success;
    > .fa {
      &:before {
        content: $fa-var-check;
      }
    }
  }

  &.status-warning {
    @extend .label-warning;
    > .fa {
      &:before {
        content: $fa-var-warning;
      }
    }
  }

  &.status-error {
    @extend .label-danger;
    > .fa {
      &:before {
        content: $fa-var-exclamation-circle;
      }
    }
  }

  &.status-wait {
    @extend .label-info;
    > .fa {
      &:before {
        content: $fa-var-clock-o;
      }
    }
  }

  &.status-running {
    @extend .label-info;
    > .fa {
      animation: fa-spin 2s infinite linear;
      &:before {
        content: $fa-var-refresh;
      }
    }
  }

  &.status-paused {
    @extend .label-default;
    > .fa {
      &:before {
        content: $fa-var-pause;
      }
    }
  }

  &.status-blocked {
    @extend .label-danger;
    > .fa {
      &:before {
        content: $fa-var-ban;
      }
    }
  }
}